Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
QCPMarginGroup Class Reference

A margin group allows synchronization of margin sides if working with multiple layout elements. More...

Inheritance diagram for QCPMarginGroup:

## Public Member Functions
| QCPMarginGroup (QCustomPlot *parentPlot)
QList< QCPLayoutElement * > | elements (QCP::MarginSide side) const
bool | isEmpty () const
void | clear ()

## Protected Member Functions
int | commonMargin (QCP::MarginSide side) const
void | addChild (QCP::MarginSide side, QCPLayoutElement *element)
void | removeChild (QCP::MarginSide side, QCPLayoutElement *element)

## Protected Attributes
QCustomPlot * | mParentPlot
QHash< QCP::MarginSide, QList< QCPLayoutElement * > > | mChildren

## Friends
class | QCPLayoutElement

## Detailed Description

A margin group allows synchronization of margin sides if working with multiple layout elements.

QCPMarginGroup allows you to tie a margin side of two or more layout elements together, such that they will all have the same size, based on the largest required margin in the group.

Demonstration of QCPMarginGroup

In certain situations it is desirable that margins at specific sides are synchronized across layout elements. For example, if one QCPAxisRect is below another one in a grid layout, it will provide a cleaner look to the user if the left and right margins of the two axis rects are of the same size. The left axis of the top axis rect will then be at the same horizontal position as the left axis of the lower axis rect, making them appear aligned. The same applies for the right axes. This is what QCPMarginGroup makes possible.

To add/remove a specific side of a layout element to/from a margin group, use the QCPLayoutElement::setMarginGroup method. To completely break apart the margin group, either call clear, or just delete the margin group.

# Example

First create a margin group:

QCPMarginGroup *group = new QCPMarginGroup(customPlot);

Then set this group on the layout element sides:

customPlot->axisRect(0)->setMarginGroup(QCP::msLeft|QCP::msRight, group);
customPlot->axisRect(1)->setMarginGroup(QCP::msLeft|QCP::msRight, group);

Here, we've used the first two axis rects of the plot and synchronized their left margins with each other and their right margins with each other.

## Constructor & Destructor Documentation

QCPMarginGroup::QCPMarginGroup | ( | QCustomPlot * | parentPlot | ) |

Creates a new QCPMarginGroup instance in parentPlot.

## Member Function Documentation

void QCPMarginGroup::clear | ( |  | ) |

Clears this margin group. The synchronization of the margin sides that use this margin group is lifted and they will use their individual margin sizes again.

QList< QCPLayoutElement * > QCPMarginGroup::elements | ( | QCP::MarginSide | side | ) | const
| inline

Returns a list of all layout elements that have their margin side associated with this margin group.

bool QCPMarginGroup::isEmpty | ( |  | ) | const

Returns whether this margin group is empty. If this function returns true, no layout elements use this margin group to synchronize margin sides.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.cpp